getLocOrfs {ScISI} | R Documentation

## A function to obtain ORFs for the ScISI

### Description

This function takes a list of bi-partite graph incidence matrices as well as a vector of GO nodes, and for each protein complex of each bi-partite graph, finds those constituent member proteins which are annotated to each GO node.

### Usage

    getLocOrfs(imList, goNode, pathToSave = NULL, name = NULL)

### Arguments

`imList` | A list of bi-partite graph incidence matrices
`goNode` | A character vector of GO ID's
`pathToSave` | A character denoting where to save the resultant data
`name` | The name by which the resulting R-object as well as the file will be named

### Details

Currently, this function will take a protein complex and find those constituent protein members which have also been annotated to the user specified GO ID. For instance, the GO ID "" is the nucleus ID. This function will find all proteins within an interactome which has been annotated with the ID "". NB - if n GO ID is supplied, the function returns n different interactomes, each is has proteins uniquely annotated with each GO ID.

### Value

The return value is a list of lists of lists:
1. The top level list contains entries named by each GO ID 2. The second tier level contains entries after each entry of imList 3. The third tier level contains three entries: i. A bi-partite graph incidence matrix which only has protein complexes restricted to the respective GO ID annotation ii. A bi-partite graph incidence matrix which only has protein complexes listed in (i) but contains all the original proteins iii. A vector of proportions. We look at the column sums of (i) divided by the column sums fo (ii). This gives the ratio of proteins which are annotated by the GO ID over all other proteins in that complex

`restrictedOrfsComp` | A bi-partite graph incidence matrix which only has protein complexes restricted to the respective GO ID annotation
`restrictedOrfsOnly` | A bi-partite graph incidence matrix which only has protein complexes listed in (i) but contains all the original proteins
`ratio` | A vector of proportions. We look at the column sums of (i) divided by the column sums fo (ii). This gives the ratio of proteins which are annotated by the GO ID over all other proteins in that complex

### Author(s)

TC

### References

~put references to the literature/web site here ~

[Package ScISI version 1.16.0 Index]